Bug 443537 - kernel: ALSA sound/core/pcm_lib.c:154: BUG:
Summary: kernel: ALSA sound/core/pcm_lib.c:154: BUG:
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 448383 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-22 01:48 UTC by Richard Hitt
Modified: 2013-01-13 14:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:00:50 UTC


Attachments (Terms of Use)
Output of "lspck -vnn" as requested by cebbert (5.94 KB, text/plain)
2008-04-25 07:35 UTC, Richard Hitt
no flags Details
output of 'lspci -vnn' as requested by cebbert (5.94 KB, text/plain)
2008-04-25 07:38 UTC, Richard Hitt
no flags Details
lspci output and messages log (25.49 KB, application/x-gzip)
2008-06-08 19:06 UTC, IBBoard
no flags Details

Description Richard Hitt 2008-04-22 01:48:37 UTC
Description of problem:
PulseAudio Volume Control causes kernel bug when I open it during a youtube
playback under Firefox3.0-0.54.beta5.fc9 as on Fedora 9 Live prerelease.


Version-Release number of selected component (if applicable):


How reproducible:
1. Install Fedora 9 i686 Live on a USB key and boot.
2. Bring up Firefox
3. Surf to youtube.
4. Search Vivaldi Mandolin, choose Vivaldi Mandolin Concerto - Evan Marshall and
Scott Gates
5. Note that flash needs installing, follow the steps and it will install, open
another Firefox window and do "about:plugins" to get Firefox to know, in the
youtube window do Control-R to retry.
6. Note there is no sound, at least not on my HP ze5250 laptop
7. Do Alt-F1 -> Sound & Video -> PulseAudio Volume Control
8. Note in /var/log/messages that the text in the above abstract has appeared.


Steps to Reproduce:
1. Oops, see above.  Reproducible every time.
2.
3.
  
Actual results:
See above


Expected results:
Sound plays in the youtube video (by the way, picture is fine already) and no
kernel error message occurs when PulseAudio Volume Control is brought up.

Additional info:

Comment 1 Chuck Ebbert 2008-04-22 19:55:33 UTC
We need to see the complete message. Can you run the 'dmesg' command after the
error occurs and upload the result?

Comment 2 Richard Hitt 2008-04-23 12:49:35 UTC
The dmesg command shows six occurrences of the following, on six consecutive lines:

ALSA sound/core/pcm_lib.c:154: BUG: stream = 0, pos = 0x1138, buffer size =
0x1138, period size = 0x44e

No more detail is shown by the dmesg command than this.  Hope it helps.

Comment 3 Chuck Ebbert 2008-04-25 03:51:35 UTC
What kind of sound hardware is it? Can you post the output of 'lspci -vnn'?

Comment 4 Richard Hitt 2008-04-25 07:35:50 UTC
Created attachment 303747 [details]
Output of "lspck -vnn" as requested by cebbert

Comment 5 Richard Hitt 2008-04-25 07:38:08 UTC
Created attachment 303749 [details]
output of 'lspci -vnn' as requested by cebbert

Comment 6 Richard Hitt 2008-05-06 20:25:26 UTC
Sorry I didn't know to change status to ASSIGNED after I provided the requested
information.  (I'd thought it would happen automatically, I guess.)  Is this right?

Comment 7 Richard Hitt 2008-05-07 07:26:13 UTC
Sorry I didn't know to change status to ASSIGNED after I provided the requested
information.  (I'd thought it would happen automatically, I guess.)  Is this right?

Comment 8 Bug Zapper 2008-05-14 09:54:21 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Chuck Ebbert 2008-06-06 09:48:31 UTC
*** Bug 448383 has been marked as a duplicate of this bug. ***

Comment 10 IBBoard 2008-06-08 19:06:28 UTC
Created attachment 308660 [details]
lspci output and messages log

Comment 11 IBBoard 2008-06-08 19:11:09 UTC
Oooops, forgot the comment:


I'm getting similar problems with any audio (I mainly use Exaile) and a
Soundblaster card. The position changes with each line, and using OSS instead of
ALSA/Pulse Audio means I can have sound, but I'd rather use Pulse Audio.

Attached is the "lspci -vnn"  for my machine and the contents of the
/var/log/messages from boot to the point I took it (not long after logging in).

Comment 12 Bug Zapper 2009-06-10 00:21:07 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2009-07-14 18:00:50 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.